using System.Text.Json.Serialization;
using JacobTechEncryption.Enums;

namespace Luski.net.JsonTypes.Public;

public class PublicMessage
{
    [JsonInclude]
    [JsonPropertyName("id")]
    public long ID { get; internal set; }
    [JsonInclude]
    [JsonPropertyName("channel_id")]
    public long ChannelID { get; internal set; }
    [JsonInclude]
    [JsonPropertyName("author_id")]
    public long AuthorID { get; internal set; }
    [JsonInclude]
    [JsonPropertyName("ts")]
    public long TimeStamp { get; internal set; }
    [JsonInclude]
    [JsonPropertyName("context")]
    public string Context { get; internal set; }
    [JsonInclude]
    [JsonPropertyName("encryption_key")]
    public long EncryptionKey { get; internal set; }
    [JsonInclude]
    [JsonPropertyName("files")]
    public pFile[] Files { get; internal set; }
    [JsonInclude]
    [JsonPropertyName("encoder_type")]
    public EncoderType EncoderType { get; internal set; }
}