using System.Text.Json.Serialization;
using Luski.net.Interfaces;
using Luski.net.JsonTypes.BaseTypes;

namespace Luski.net.JsonTypes;

public class StorageInfoJSON : IncomingHTTP, IWebRequest
{
    public long id { get; set; }
    public string password { get; set; }
    public bool update { get; set; }
}

[JsonSerializable(typeof(StorageInfoJSON))]
[JsonSourceGenerationOptions(
    GenerationMode = JsonSourceGenerationMode.Default,
    PropertyNamingPolicy = JsonKnownNamingPolicy.CamelCase,
    WriteIndented = true)]
internal partial class StorageInfoJSONContext : JsonSerializerContext
{

}